commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject Re: [VOTE] Release Commons Chain 1.2 based on RC1
Date Wed, 21 May 2008 02:26:55 GMT
On 21/05/2008, Niall Pemberton <niall.pemberton@gmail.com> wrote:
> I would like to do a bug fix release of Commons Chain - mainly to
>  release the fix for CHAIN-33[1] - which hit a Struts user recently
>  (see STR-3143[2]) - but there are a few other bug fixes as well
>   [1] http://issues.apache.org/jira/browse/CHAIN-33
>   [2] https://issues.apache.org/struts/browse/STR-3143
>
>  The artifacts are here:
>  http://people.apache.org/~niallp/chain_1_2_RC1/
>

Digests, hashes, N&L all look OK.
And there are no .asc.md5 files either - how do you avoid those?

pom.xml contains a reference to ${basedir} - I notice that there were
some recent commits that removed this, citing a bug in M2.0.9 - is
this reference OK?

>  SVN Tag:
>  http://svn.apache.org/viewvc/commons/proper/chain/tags/CHAIN_1_2_RC1/
>

Not a blocker, but some incorrect SVN props:

svn pd svn:executable build.properties.sample
svn pd svn:executable build.xml
svn ps svn:eol-style native
src/test/org/apache/commons/chain/web/ChainResourcesTestCase.java

>  Site:
>  http://people.apache.org/~niallp/chain_1_2_RC1/site/
>  (note m2 generates relative links, so some don't work - but the site
>  is for info and not included in the release artifacts)
>
>  Release Notes:
>  http://people.apache.org/~niallp/chain_1_2_RC1/RELEASE-NOTES.txt
>  http://people.apache.org/~niallp/chain_1_2_RC1/site/changes-report.html
>
>  RAT Report:
>  http://people.apache.org/~niallp/chain_1_2_RC1/site/rat-report.html
>
>  CLIRR Report:
>  http://people.apache.org/~niallp/chain_1_2_RC1/site/clirr-report.html
>
>  RC2 has been built with m2 - but m1 and ant builds are available - details here:
>  http://people.apache.org/~niallp/chain_1_2_RC1/site/building.html
>
>  Note: Chain is targetted at JDK 1.3, but I built with JDK 1.5 because
>  of the issue with m2 and JDK 1.4 - but I have tested on JDK 1.3 and
>  JDK 1.4 using m1 and JDK 1.5 and JDK 1.6 using m2
>

Ant build works fine on Java 1.4.2, but using Java 1.3.1 I get
problems with Ant 1.6.0, 1.6.5 and 1.7.0.

M1 1.0.2 works OK on Java 1.3.1

So it looks like there is a problem with the Ant file.

It would be nice if this could be fixed, but if not, then the build
instructions should be updated to mention the restriction.

>  Vote is open for 72 hours
>
>  Thanks in advance for your feedback/votes.
>
>  Niall
>  ------------------------------------------------------------------------------------------------------------->
>
>  [  ] +1  I support this release
>  [  ] +0  I am OK with this release
>  [  ] -0   OK, but....
>  [  ] -1   I do not support this release
>
>  ---------------------------------------------------------------------
>  To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
>  For additional commands, e-mail: dev-help@commons.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message